/*!
 * # Semantic UI 2.2.13 - Form Validation
 * http://github.com/semantic-org/semantic-ui/
 *
 *
 * Released under the MIT license
 * http://opensource.org/licenses/MIT
 *
 */
!function(e,t,n,r){"use strict";t="undefined"!=typeof t&&t.Math==Math?t:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")(),e.fn.form=function(t){var i,a=e(this),o=a.selector||"",s=(new Date).getTime(),l=[],u=arguments[0],c=arguments[1],d="string"==typeof u,f=[].slice.call(arguments,1);return a.each(function(){var p,m,g,h,v,b,y,x,k,E,w,C,V,R,S,F,A,T,D,O=e(this),j=this,$=[],z=!1;D={initialize:function(){D.get.settings(),d?(T===r&&D.instantiate(),D.invoke(u)):(T!==r&&T.invoke("destroy"),D.verbose("Initializing form validation",O,x),D.bindEvents(),D.set.defaults(),D.instantiate())},instantiate:function(){D.verbose("Storing instance of module",D),T=D,O.data(F,D)},destroy:function(){D.verbose("Destroying previous module",T),D.removeEvents(),O.removeData(F)},refresh:function(){D.verbose("Refreshing selector cache"),p=O.find(w.field),m=O.find(w.group),g=O.find(w.message),h=O.find(w.prompt),v=O.find(w.submit),b=O.find(w.clear),y=O.find(w.reset)},submit:function(){D.verbose("Submitting form",O),O.submit()},attachEvents:function(t,n){n=n||"submit",e(t).on("click"+A,function(e){D[n](),e.preventDefault()})},bindEvents:function(){D.verbose("Attaching form events"),O.on("submit"+A,D.validate.form).on("blur"+A,w.field,D.event.field.blur).on("click"+A,w.submit,D.submit).on("click"+A,w.reset,D.reset).on("click"+A,w.clear,D.clear),x.keyboardShortcuts&&O.on("keydown"+A,w.field,D.event.field.keydown),p.each(function(){var t=e(this),n=t.prop("type"),r=D.get.changeEvent(n,t);e(this).on(r+A,D.event.field.change)})},clear:function(){p.each(function(){var t=e(this),n=t.parent(),r=t.closest(m),i=r.find(w.prompt),a=t.data(E.defaultValue)||"",o=n.is(w.uiCheckbox),s=n.is(w.uiDropdown),l=r.hasClass(C.error);l&&(D.verbose("Resetting error on field",r),r.removeClass(C.error),i.remove()),s?(D.verbose("Resetting dropdown value",n,a),n.dropdown("clear")):o?t.prop("checked",!1):(D.verbose("Resetting field value",t,a),t.val(""))})},reset:function(){p.each(function(){var t=e(this),n=t.parent(),i=t.closest(m),a=i.find(w.prompt),o=t.data(E.defaultValue),s=n.is(w.uiCheckbox),l=n.is(w.uiDropdown),u=i.hasClass(C.error);o!==r&&(u&&(D.verbose("Resetting error on field",i),i.removeClass(C.error),a.remove()),l?(D.verbose("Resetting dropdown value",n,o),n.dropdown("restore defaults")):s?(D.verbose("Resetting checkbox value",n,o),t.prop("checked",o)):(D.verbose("Resetting field value",t,o),t.val(o)))})},determine:{isValid:function(){var t=!0;return e.each(k,function(e,n){D.validate.field(n,e,!0)||(t=!1)}),t}},is:{bracketedRule:function(e){return e.type&&e.type.match(x.regExp.bracket)},shorthandFields:function(e){var t=Object.keys(e),n=e[t[0]];return D.is.shorthandRules(n)},shorthandRules:function(t){return"string"==typeof t||e.isArray(t)},empty:function(e){return e&&0!==e.length?e.is('input[type="checkbox"]')?!e.is(":checked"):D.is.blank(e):!0},blank:function(t){return""===e.trim(t.val())},valid:function(t){var n=!0;return t?(D.verbose("Checking if field is valid",t),D.validate.field(k[t],t,!1)):(D.verbose("Checking if form is valid"),e.each(k,function(e,t){D.is.valid(e)||(n=!1)}),n)}},removeEvents:function(){O.off(A),p.off(A),v.off(A),p.off(A)},event:{field:{keydown:function(t){var n=e(this),r=t.which,i=n.is(w.input),a=n.is(w.checkbox),o=n.closest(w.uiDropdown).length>0,s={enter:13,escape:27};r==s.escape&&(D.verbose("Escape key pressed blurring field"),n.blur()),t.ctrlKey||r!=s.enter||!i||o||a||(z||(n.one("keyup"+A,D.event.field.keyup),D.submit(),D.debug("Enter pressed on input submitting form")),z=!0)},keyup:function(){z=!1},blur:function(t){var n=e(this),r=n.closest(m),i=D.get.validation(n);r.hasClass(C.error)?(D.debug("Revalidating field",n,i),i&&D.validate.field(i)):("blur"==x.on||"change"==x.on)&&i&&D.validate.field(i)},change:function(t){var n=e(this),r=n.closest(m),i=D.get.validation(n);i&&("change"==x.on||r.hasClass(C.error)&&x.revalidate)&&(clearTimeout(D.timer),D.timer=setTimeout(function(){D.debug("Revalidating field",n,D.get.validation(n)),D.validate.field(i)},x.delay))}}},get:{ancillaryValue:function(e){return e.type&&(e.value||D.is.bracketedRule(e))?e.value!==r?e.value:e.type.match(x.regExp.bracket)[1]+"":!1},ruleName:function(e){return D.is.bracketedRule(e)?e.type.replace(e.type.match(x.regExp.bracket)[0],""):e.type},changeEvent:function(e,t){return"checkbox"==e||"radio"==e||"hidden"==e||t.is("select")?"change":D.get.inputEvent()},inputEvent:function(){return n.createElement("input").oninput!==r?"input":n.createElement("input").onpropertychange!==r?"propertychange":"keyup"},fieldsFromShorthand:function(t){var n={};return e.each(t,function(t,r){"string"==typeof r&&(r=[r]),n[t]={rules:[]},e.each(r,function(e,r){n[t].rules.push({type:r})})}),n},prompt:function(e,t){var n,r,i,a=D.get.ruleName(e),o=D.get.ancillaryValue(e),s=e.prompt||x.prompt[a]||x.text.unspecifiedRule,l=-1!==s.search("{value}"),u=-1!==s.search("{name}");return(u||l)&&(r=D.get.field(t.identifier)),l&&(s=s.replace("{value}",r.val())),u&&(n=r.closest(w.group).find("label").eq(0),i=1==n.length?n.text():r.prop("placeholder")||x.text.unspecifiedField,s=s.replace("{name}",i)),s=s.replace("{identifier}",t.identifier),s=s.replace("{ruleValue}",o),e.prompt||D.verbose("Using default validation prompt for type",s,a),s},settings:function(){if(e.isPlainObject(t)){var n=Object.keys(t),i=n.length>0?t[n[0]].identifier!==r&&t[n[0]].rules!==r:!1;i?(x=e.extend(!0,{},e.fn.form.settings,c),k=e.extend({},e.fn.form.settings.defaults,t),D.error(x.error.oldSyntax,j),D.verbose("Extending settings from legacy parameters",k,x)):(t.fields&&D.is.shorthandFields(t.fields)&&(t.fields=D.get.fieldsFromShorthand(t.fields)),x=e.extend(!0,{},e.fn.form.settings,t),k=e.extend({},e.fn.form.settings.defaults,x.fields),D.verbose("Extending settings",k,x))}else x=e.fn.form.settings,k=e.fn.form.settings.defaults,D.verbose("Using default form validation",k,x);S=x.namespace,E=x.metadata,w=x.selector,C=x.className,V=x.regExp,R=x.error,F="module-"+S,A="."+S,T=O.data(F),D.refresh()},field:function(t){return D.verbose("Finding field with identifier",t),t=D.escape.string(t),p.filter("#"+t).length>0?p.filter("#"+t):p.filter('[name="'+t+'"]').length>0?p.filter('[name="'+t+'"]'):p.filter('[name="'+t+'[]"]').length>0?p.filter('[name="'+t+'[]"]'):p.filter("[data-"+E.validate+'="'+t+'"]').length>0?p.filter("[data-"+E.validate+'="'+t+'"]'):e("<input/>")},fields:function(t){var n=e();return e.each(t,function(e,t){n=n.add(D.get.field(t))}),n},validation:function(t){var n,r;return k?(e.each(k,function(e,i){r=i.identifier||e,D.get.field(r)[0]==t[0]&&(i.identifier=r,n=i)}),n||!1):!1},value:function(e){var t,n=[];return n.push(e),t=D.get.values.call(j,n),t[e]},values:function(t){var n=e.isArray(t)?D.get.fields(t):p,i={};return n.each(function(t,n){var a=e(n),o=(a.prop("type"),a.prop("name")),s=a.val(),l=a.is(w.checkbox),u=a.is(w.radio),c=-1!==o.indexOf("[]"),d=l?a.is(":checked"):!1;o&&(c?(o=o.replace("[]",""),i[o]||(i[o]=[]),l?d?i[o].push(s||!0):i[o].push(!1):i[o].push(s)):u?i[o]===r&&(i[o]=d?!0:!1):l?d?i[o]=s||!0:i[o]=!1:i[o]=s)}),i}},has:{field:function(e){return D.verbose("Checking for existence of a field with identifier",e),e=D.escape.string(e),"string"!=typeof e&&D.error(R.identifier,e),p.filter("#"+e).length>0?!0:p.filter('[name="'+e+'"]').length>0?!0:p.filter("[data-"+E.validate+'="'+e+'"]').length>0?!0:!1}},escape:{string:function(e){return e=String(e),e.replace(V.escape,"\\$&")}},add:{rule:function(e,t){D.add.field(e,t)},field:function(t,n){var r={};D.is.shorthandRules(n)?(n=e.isArray(n)?n:[n],r[t]={rules:[]},e.each(n,function(e,n){r[t].rules.push({type:n})})):r[t]=n,k=e.extend({},k,r),D.debug("Adding rules",r,k)},fields:function(t){var n;n=t&&D.is.shorthandFields(t)?D.get.fieldsFromShorthand(t):t,k=e.extend({},k,n)},prompt:function(t,n){var i=D.get.field(t),a=i.closest(m),o=a.children(w.prompt),s=0!==o.length;n="string"==typeof n?[n]:n,D.verbose("Adding field error state",t),a.addClass(C.error),x.inline&&(s||(o=x.templates.prompt(n),o.appendTo(a)),o.html(n[0]),s?D.verbose("Inline errors are disabled, no inline error added",t):x.transition&&e.fn.transition!==r&&O.transition("is supported")?(D.verbose("Displaying error with css transition",x.transition),o.transition(x.transition+" in",x.duration)):(D.verbose("Displaying error with fallback javascript animation"),o.fadeIn(x.duration)))},errors:function(e){D.debug("Adding form error messages",e),D.set.error(),g.html(x.templates.error(e))}},remove:{rule:function(t,n){var i=e.isArray(n)?n:[n];return n==r?(D.debug("Removed all rules"),void(k[t].rules=[])):void(k[t]!=r&&e.isArray(k[t].rules)&&e.each(k[t].rules,function(e,n){-1!==i.indexOf(n.type)&&(D.debug("Removed rule",n.type),k[t].rules.splice(e,1))}))},field:function(t){var n=e.isArray(t)?t:[t];e.each(n,function(e,t){D.remove.rule(t)})},rules:function(t,n){e.isArray(t)?e.each(fields,function(e,t){D.remove.rule(t,n)}):D.remove.rule(t,n)},fields:function(e){D.remove.field(e)},prompt:function(t){var n=D.get.field(t),i=n.closest(m),a=i.children(w.prompt);i.removeClass(C.error),x.inline&&a.is(":visible")&&(D.verbose("Removing prompt for field",t),x.transition&&e.fn.transition!==r&&O.transition("is supported")?a.transition(x.transition+" out",x.duration,function(){a.remove()}):a.fadeOut(x.duration,function(){a.remove()}))}},set:{success:function(){O.removeClass(C.error).addClass(C.success)},defaults:function(){p.each(function(){var t=e(this),n=t.filter(w.checkbox).length>0,r=n?t.is(":checked"):t.val();t.data(E.defaultValue,r)})},error:function(){O.removeClass(C.success).addClass(C.error)},value:function(e,t){var n={};return n[e]=t,D.set.values.call(j,n)},values:function(t){e.isEmptyObject(t)||e.each(t,function(t,n){var r,i=D.get.field(t),a=i.parent(),o=e.isArray(n),s=a.is(w.uiCheckbox),l=a.is(w.uiDropdown),u=i.is(w.radio)&&s,c=i.length>0;c&&(o&&s?(D.verbose("Selecting multiple",n,i),a.checkbox("uncheck"),e.each(n,function(e,t){r=i.filter('[value="'+t+'"]'),a=r.parent(),r.length>0&&a.checkbox("check")})):u?(D.verbose("Selecting radio value",n,i),i.filter('[value="'+n+'"]').parent(w.uiCheckbox).checkbox("check")):s?(D.verbose("Setting checkbox value",n,a),n===!0?a.checkbox("check"):a.checkbox("uncheck")):l?(D.verbose("Setting dropdown value",n,a),a.dropdown("set selected",n)):(D.verbose("Setting field value",n,i),i.val(n)))})}},validate:{form:function(e,t){var n=D.get.values();if(z)return!1;if($=[],D.determine.isValid()){if(D.debug("Form has no validation errors, submitting"),D.set.success(),t!==!0)return x.onSuccess.call(j,e,n)}else if(D.debug("Form has errors"),D.set.error(),x.inline||D.add.errors($),O.data("moduleApi")!==r&&e.stopImmediatePropagation(),t!==!0)return x.onFailure.call(j,$,n)},field:function(t,n,i){i=i!==r?i:!0,"string"==typeof t&&(D.verbose("Validating field",t),n=t,t=k[t]);var a=t.identifier||n,o=D.get.field(a),s=t.depends?D.get.field(t.depends):!1,l=!0,u=[];return t.identifier||(D.debug("Using field name as identifier",a),t.identifier=a),o.prop("disabled")?(D.debug("Field is disabled. Skipping",a),l=!0):t.optional&&D.is.blank(o)?(D.debug("Field is optional and blank. Skipping",a),l=!0):t.depends&&D.is.empty(s)?(D.debug("Field depends on another value that is not present or empty. Skipping",s),l=!0):t.rules!==r&&e.each(t.rules,function(e,n){D.has.field(a)&&!D.validate.rule(t,n)&&(D.debug("Field is invalid",a,n.type),u.push(D.get.prompt(n,t)),l=!1)}),l?(i&&(D.remove.prompt(a,u),x.onValid.call(o)),!0):(i&&($=$.concat(u),D.add.prompt(a,u),x.onInvalid.call(o,u)),!1)},rule:function(t,n){var i=D.get.field(t.identifier),a=(n.type,i.val()),o=D.get.ancillaryValue(n),s=D.get.ruleName(n),l=x.rules[s];return e.isFunction(l)?(a=a===r||""===a||null===a?"":e.trim(a+""),l.call(i,a,o)):void D.error(R.noRule,s)}},setting:function(t,n){if(e.isPlainObject(t))e.extend(!0,x,t);else{if(n===r)return x[t];x[t]=n}},internal:function(t,n){if(e.isPlainObject(t))e.extend(!0,D,t);else{if(n===r)return D[t];D[t]=n}},debug:function(){!x.silent&&x.debug&&(x.performance?D.performance.log(arguments):(D.debug=Function.prototype.bind.call(console.info,console,x.name+":"),D.debug.apply(console,arguments)))},verbose:function(){!x.silent&&x.verbose&&x.debug&&(x.performance?D.performance.log(arguments):(D.verbose=Function.prototype.bind.call(console.info,console,x.name+":"),D.verbose.apply(console,arguments)))},error:function(){x.silent||(D.error=Function.prototype.bind.call(console.error,console,x.name+":"),D.error.apply(console,arguments))},performance:{log:function(e){var t,n,r;x.performance&&(t=(new Date).getTime(),r=s||t,n=t-r,s=t,l.push({Name:e[0],Arguments:[].slice.call(e,1)||"",Element:j,"Execution Time":n})),clearTimeout(D.performance.timer),D.performance.timer=setTimeout(D.performance.display,500)},display:function(){var t=x.name+":",n=0;s=!1,clearTimeout(D.performance.timer),e.each(l,function(e,t){n+=t["Execution Time"]}),t+=" "+n+"ms",o&&(t+=" '"+o+"'"),a.length>1&&(t+=" ("+a.length+")"),(console.group!==r||console.table!==r)&&l.length>0&&(console.groupCollapsed(t),console.table?console.table(l):e.each(l,function(e,t){console.log(t.Name+": "+t["Execution Time"]+"ms")}),console.groupEnd()),l=[]}},invoke:function(t,n,a){var o,s,l,u=T;return n=n||f,a=j||a,"string"==typeof t&&u!==r&&(t=t.split(/[\. ]/),o=t.length-1,e.each(t,function(n,i){var a=n!=o?i+t[n+1].charAt(0).toUpperCase()+t[n+1].slice(1):t;if(e.isPlainObject(u[a])&&n!=o)u=u[a];else{if(u[a]!==r)return s=u[a],!1;if(!e.isPlainObject(u[i])||n==o)return u[i]!==r?(s=u[i],!1):!1;u=u[i]}})),e.isFunction(s)?l=s.apply(a,n):s!==r&&(l=s),e.isArray(i)?i.push(l):i!==r?i=[i,l]:l!==r&&(i=l),s}},D.initialize()}),i!==r?i:this},e.fn.form.settings={name:"Form",namespace:"form",debug:!1,verbose:!1,performance:!0,fields:!1,keyboardShortcuts:!0,on:"submit",inline:!1,delay:200,revalidate:!0,transition:"scale",duration:200,onValid:function(){},onInvalid:function(){},onSuccess:function(){return!0},onFailure:function(){return!1},metadata:{defaultValue:"default",validate:"validate"},regExp:{htmlID:/^[a-zA-Z][\w:.-]*$/g,bracket:/\[(.*)\]/i,decimal:/^\d+\.?\d*$/,email:/^[a-z0-9!#$%&'*+\/=?^_`{|}~.-]+@[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)*$/i,escape:/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,flags:/^\/(.*)\/(.*)?/,integer:/^\-?\d+$/,number:/^\-?\d*(\.\d+)?$/,url:/(https?:\/\/(?:www\.|(?!www))[^\s\.]+\.[^\s]{2,}|www\.[^\s]+\.[^\s]{2,})/i},text:{unspecifiedRule:"Please enter a valid value",unspecifiedField:"This field"},prompt:{empty:"{name} must have a value",checked:"{name} must be checked",email:"{name} must be a valid e-mail",url:"{name} must be a valid url",regExp:"{name} is not formatted correctly",integer:"{name} must be an integer",decimal:"{name} must be a decimal number",number:"{name} must be set to a number",is:'{name} must be "{ruleValue}"',isExactly:'{name} must be exactly "{ruleValue}"',not:'{name} cannot be set to "{ruleValue}"',notExactly:'{name} cannot be set to exactly "{ruleValue}"',contain:'{name} cannot contain "{ruleValue}"',containExactly:'{name} cannot contain exactly "{ruleValue}"',doesntContain:'{name} must contain  "{ruleValue}"',doesntContainExactly:'{name} must contain exactly "{ruleValue}"',minLength:"{name} must be at least {ruleValue} characters",length:"{name} must be at least {ruleValue} characters",exactLength:"{name} must be exactly {ruleValue} characters",maxLength:"{name} cannot be longer than {ruleValue} characters",match:"{name} must match {ruleValue} field",different:"{name} must have a different value than {ruleValue} field",creditCard:"{name} must be a valid credit card number",minCount:"{name} must have at least {ruleValue} choices",exactCount:"{name} must have exactly {ruleValue} choices",maxCount:"{name} must have {ruleValue} or less choices"},selector:{checkbox:'input[type="checkbox"], input[type="radio"]',clear:".clear",field:"input, textarea, select",group:".field",input:"input",message:".error.message",prompt:".prompt.label",radio:'input[type="radio"]',reset:'.reset:not([type="reset"])',submit:'.submit:not([type="submit"])',uiCheckbox:".ui.checkbox",uiDropdown:".ui.dropdown"},className:{error:"error",label:"ui prompt label",pressed:"down",success:"success"},error:{identifier:"You must specify a string identifier for each field",method:"The method you called is not defined.",noRule:"There is no rule matching the one you specified",oldSyntax:"Starting in 2.0 forms now only take a single settings object. Validation settings converted to new syntax automatically."},templates:{error:function(t){var n='<ul class="list">';return e.each(t,function(e,t){n+="<li>"+t+"</li>"}),n+="</ul>",e(n)},prompt:function(t){return e("<div/>").addClass("ui basic red pointing prompt label").html(t[0])}},rules:{empty:function(t){return!(t===r||""===t||e.isArray(t)&&0===t.length)},checked:function(){return e(this).filter(":checked").length>0},email:function(t){return e.fn.form.settings.regExp.email.test(t)},url:function(t){return e.fn.form.settings.regExp.url.test(t)},regExp:function(t,n){if(n instanceof RegExp)return t.match(n);var r,i=n.match(e.fn.form.settings.regExp.flags);return i&&(n=i.length>=2?i[1]:n,r=i.length>=3?i[2]:""),t.match(new RegExp(n,r))},integer:function(t,n){var i,a,o,s=e.fn.form.settings.regExp.integer;return n&&-1===["",".."].indexOf(n)&&(-1==n.indexOf("..")?s.test(n)&&(i=a=n-0):(o=n.split("..",2),s.test(o[0])&&(i=o[0]-0),s.test(o[1])&&(a=o[1]-0))),s.test(t)&&(i===r||t>=i)&&(a===r||a>=t)},decimal:function(t){return e.fn.form.settings.regExp.decimal.test(t)},number:function(t){return e.fn.form.settings.regExp.number.test(t)},is:function(e,t){return t="string"==typeof t?t.toLowerCase():t,e="string"==typeof e?e.toLowerCase():e,e==t},isExactly:function(e,t){return e==t},not:function(e,t){return e="string"==typeof e?e.toLowerCase():e,t="string"==typeof t?t.toLowerCase():t,e!=t},notExactly:function(e,t){return e!=t},contains:function(t,n){return n=n.replace(e.fn.form.settings.regExp.escape,"\\$&"),-1!==t.search(new RegExp(n,"i"))},containsExactly:function(t,n){return n=n.replace(e.fn.form.settings.regExp.escape,"\\$&"),-1!==t.search(new RegExp(n))},doesntContain:function(t,n){return n=n.replace(e.fn.form.settings.regExp.escape,"\\$&"),-1===t.search(new RegExp(n,"i"))},doesntContainExactly:function(t,n){return n=n.replace(e.fn.form.settings.regExp.escape,"\\$&"),-1===t.search(new RegExp(n))},minLength:function(e,t){return e!==r?e.length>=t:!1},length:function(e,t){return e!==r?e.length>=t:!1},exactLength:function(e,t){return e!==r?e.length==t:!1},maxLength:function(e,t){return e!==r?e.length<=t:!1},match:function(t,n){var i;e(this);return e('[data-validate="'+n+'"]').length>0?i=e('[data-validate="'+n+'"]').val():e("#"+n).length>0?i=e("#"+n).val():e('[name="'+n+'"]').length>0?i=e('[name="'+n+'"]').val():e('[name="'+n+'[]"]').length>0&&(i=e('[name="'+n+'[]"]')),i!==r?t.toString()==i.toString():!1},different:function(t,n){var i;e(this);return e('[data-validate="'+n+'"]').length>0?i=e('[data-validate="'+n+'"]').val():e("#"+n).length>0?i=e("#"+n).val():e('[name="'+n+'"]').length>0?i=e('[name="'+n+'"]').val():e('[name="'+n+'[]"]').length>0&&(i=e('[name="'+n+'[]"]')),i!==r?t.toString()!==i.toString():!1},creditCard:function(t,n){var r,i,a={visa:{pattern:/^4/,length:[16]},amex:{pattern:/^3[47]/,length:[15]},mastercard:{pattern:/^5[1-5]/,length:[16]},discover:{pattern:/^(6011|622(12[6-9]|1[3-9][0-9]|[2-8][0-9]{2}|9[0-1][0-9]|92[0-5]|64[4-9])|65)/,length:[16]},unionPay:{pattern:/^(62|88)/,length:[16,17,18,19]},jcb:{pattern:/^35(2[89]|[3-8][0-9])/,length:[16]},maestro:{pattern:/^(5018|5020|5038|6304|6759|676[1-3])/,length:[12,13,14,15,16,17,18,19]},dinersClub:{pattern:/^(30[0-5]|^36)/,length:[14]},laser:{pattern:/^(6304|670[69]|6771)/,length:[16,17,18,19]},visaElectron:{pattern:/^(4026|417500|4508|4844|491(3|7))/,length:[16]}},o={},s=!1,l="string"==typeof n?n.split(","):!1;if("string"==typeof t&&0!==t.length){if(t=t.replace(/[\-]/g,""),l&&(e.each(l,function(n,r){i=a[r],i&&(o={length:-1!==e.inArray(t.length,i.length),pattern:-1!==t.search(i.pattern)},o.length&&o.pattern&&(s=!0))}),!s))return!1;if(r={number:-1!==e.inArray(t.length,a.unionPay.length),pattern:-1!==t.search(a.unionPay.pattern)},r.number&&r.pattern)return!0;for(var u=t.length,c=0,d=[[0,1,2,3,4,5,6,7,8,9],[0,2,4,6,8,1,3,5,7,9]],f=0;u--;)f+=d[c][parseInt(t.charAt(u),10)],c^=1;return f%10===0&&f>0}},minCount:function(e,t){return 0==t?!0:1==t?""!==e:e.split(",").length>=t},exactCount:function(e,t){return 0==t?""===e:1==t?""!==e&&-1===e.search(","):e.split(",").length==t},maxCount:function(e,t){return 0==t?!1:1==t?-1===e.search(","):e.split(",").length<=t}}}}(jQuery,window,document);