/*!
 * # Semantic UI 2.2.13 - Popup
 * http://github.com/semantic-org/semantic-ui/
 *
 *
 * Released under the MIT license
 * http://opensource.org/licenses/MIT
 *
 */
!function(e,t,o,n){"use strict";t="undefined"!=typeof t&&t.Math==Math?t:"undefined"!=typeof self&&self.Math==Math?self:Function("return this")(),e.fn.popup=function(i){var r,a=e(this),s=e(o),p=e(t),l=e("body"),u=a.selector||"",c=!0,d=(new Date).getTime(),f=[],g=arguments[0],h="string"==typeof g,m=[].slice.call(arguments,1);return a.each(function(){var a,v,b,w,y,C,T=e.isPlainObject(i)?e.extend(!0,{},e.fn.popup.settings,i):e.extend({},e.fn.popup.settings),P=T.selector,x=T.className,k=T.error,S=T.metadata,E=T.namespace,O="."+T.namespace,A="module-"+E,D=e(this),j=e(T.context),F=e(T.scrollContext),R=e(T.boundary),H=T.target?e(T.target):D,N=0,V=!1,M=!1,W=this,G=D.data(A);C={initialize:function(){C.debug("Initializing",D),C.createID(),C.bind.events(),!C.exists()&&T.preserve&&C.create(),T.observeChanges&&C.observeChanges(),C.instantiate()},instantiate:function(){C.verbose("Storing instance",C),G=C,D.data(A,G)},observeChanges:function(){"MutationObserver"in t&&(b=new MutationObserver(C.event.documentChanged),b.observe(o,{childList:!0,subtree:!0}),C.debug("Setting up mutation observer",b))},refresh:function(){T.popup?a=e(T.popup).eq(0):T.inline&&(a=H.nextAll(P.popup).eq(0),T.popup=a),T.popup?(a.addClass(x.loading),v=C.get.offsetParent(),a.removeClass(x.loading),T.movePopup&&C.has.popup()&&C.get.offsetParent(a)[0]!==v[0]&&(C.debug("Moving popup to the same offset parent as target"),a.detach().appendTo(v))):v=T.inline?C.get.offsetParent(H):C.has.popup()?C.get.offsetParent(a):l,v.is("html")&&v[0]!==l[0]&&(C.debug("Setting page as offset parent"),v=l),C.get.variation()&&C.set.variation()},reposition:function(){C.refresh(),C.set.position()},destroy:function(){C.debug("Destroying previous module"),b&&b.disconnect(),a&&!T.preserve&&C.removePopup(),clearTimeout(C.hideTimer),clearTimeout(C.showTimer),C.unbind.close(),C.unbind.events(),D.removeData(A)},event:{start:function(t){var o=e.isPlainObject(T.delay)?T.delay.show:T.delay;clearTimeout(C.hideTimer),M||(C.showTimer=setTimeout(C.show,o))},end:function(){var t=e.isPlainObject(T.delay)?T.delay.hide:T.delay;clearTimeout(C.showTimer),C.hideTimer=setTimeout(C.hide,t)},touchstart:function(e){M=!0,C.show()},resize:function(){C.is.visible()&&C.set.position()},documentChanged:function(t){[].forEach.call(t,function(t){t.removedNodes&&[].forEach.call(t.removedNodes,function(t){(t==W||e(t).find(W).length>0)&&(C.debug("Element removed from DOM, tearing down events"),C.destroy())})})},hideGracefully:function(t){var n=e(t.target),i=e.contains(o.documentElement,t.target),r=n.closest(P.popup).length>0;t&&!r&&i?(C.debug("Click occurred outside popup hiding popup"),C.hide()):C.debug("Click was inside popup, keeping popup open")}},create:function(){var t=C.get.html(),o=C.get.title(),n=C.get.content();t||n||o?(C.debug("Creating pop-up html"),t||(t=T.templates.popup({title:o,content:n})),a=e("<div/>").addClass(x.popup).data(S.activator,D).html(t),T.inline?(C.verbose("Inserting popup element inline",a),a.insertAfter(D)):(C.verbose("Appending popup element to body",a),a.appendTo(j)),C.refresh(),C.set.variation(),T.hoverable&&C.bind.popup(),T.onCreate.call(a,W)):0!==H.next(P.popup).length?(C.verbose("Pre-existing popup found"),T.inline=!0,T.popup=H.next(P.popup).data(S.activator,D),C.refresh(),T.hoverable&&C.bind.popup()):T.popup?(e(T.popup).data(S.activator,D),C.verbose("Used popup specified in settings"),C.refresh(),T.hoverable&&C.bind.popup()):C.debug("No content specified skipping display",W)},createID:function(){y=(Math.random().toString(16)+"000000000").substr(2,8),w="."+y,C.verbose("Creating unique id for element",y)},toggle:function(){C.debug("Toggling pop-up"),C.is.hidden()?(C.debug("Popup is hidden, showing pop-up"),C.unbind.close(),C.show()):(C.debug("Popup is visible, hiding pop-up"),C.hide())},show:function(e){if(e=e||function(){},C.debug("Showing pop-up",T.transition),C.is.hidden()&&(!C.is.active()||!C.is.dropdown())){if(C.exists()||C.create(),T.onShow.call(a,W)===!1)return void C.debug("onShow callback returned false, cancelling popup animation");T.preserve||T.popup||C.refresh(),a&&C.set.position()&&(C.save.conditions(),T.exclusive&&C.hideAll(),C.animate.show(e))}},hide:function(e){if(e=e||function(){},C.is.visible()||C.is.animating()){if(T.onHide.call(a,W)===!1)return void C.debug("onHide callback returned false, cancelling popup animation");C.remove.visible(),C.unbind.close(),C.restore.conditions(),C.animate.hide(e)}},hideAll:function(){e(P.popup).filter("."+x.popupVisible).each(function(){e(this).data(S.activator).popup("hide")})},exists:function(){return a?T.inline||T.popup?C.has.popup():a.closest(j).length>=1?!0:!1:!1},removePopup:function(){C.has.popup()&&!T.popup&&(C.debug("Removing popup",a),a.remove(),a=n,T.onRemove.call(a,W))},save:{conditions:function(){C.cache={title:D.attr("title")},C.cache.title&&D.removeAttr("title"),C.verbose("Saving original attributes",C.cache.title)}},restore:{conditions:function(){return C.cache&&C.cache.title&&(D.attr("title",C.cache.title),C.verbose("Restoring original attributes",C.cache.title)),!0}},supports:{svg:function(){return"undefined"==typeof SVGGraphicsElement}},animate:{show:function(t){t=e.isFunction(t)?t:function(){},T.transition&&e.fn.transition!==n&&D.transition("is supported")?(C.set.visible(),a.transition({animation:T.transition+" in",queue:!1,debug:T.debug,verbose:T.verbose,duration:T.duration,onComplete:function(){C.bind.close(),t.call(a,W),T.onVisible.call(a,W)}})):C.error(k.noTransition)},hide:function(t){return t=e.isFunction(t)?t:function(){},C.debug("Hiding pop-up"),T.onHide.call(a,W)===!1?void C.debug("onHide callback returned false, cancelling popup animation"):void(T.transition&&e.fn.transition!==n&&D.transition("is supported")?a.transition({animation:T.transition+" out",queue:!1,duration:T.duration,debug:T.debug,verbose:T.verbose,onComplete:function(){C.reset(),t.call(a,W),T.onHidden.call(a,W)}}):C.error(k.noTransition))}},change:{content:function(e){a.html(e)}},get:{html:function(){return D.removeData(S.html),D.data(S.html)||T.html},title:function(){return D.removeData(S.title),D.data(S.title)||T.title},content:function(){return D.removeData(S.content),D.data(S.content)||D.attr("title")||T.content},variation:function(){return D.removeData(S.variation),D.data(S.variation)||T.variation},popup:function(){return a},popupOffset:function(){return a.offset()},calculations:function(){var e,o=H[0],n=R[0]==t,i=T.inline||T.popup&&T.movePopup?H.position():H.offset(),r=n?{top:0,left:0}:R.offset(),s={},l=n?{top:p.scrollTop(),left:p.scrollLeft()}:{top:0,left:0};return s={target:{element:H[0],width:H.outerWidth(),height:H.outerHeight(),top:i.top,left:i.left,margin:{}},popup:{width:a.outerWidth(),height:a.outerHeight()},parent:{width:v.outerWidth(),height:v.outerHeight()},screen:{top:r.top,left:r.left,scroll:{top:l.top,left:l.left},width:R.width(),height:R.height()}},T.setFluidWidth&&C.is.fluid()&&(s.container={width:a.parent().outerWidth()},s.popup.width=s.container.width),s.target.margin.top=T.inline?parseInt(t.getComputedStyle(o).getPropertyValue("margin-top"),10):0,s.target.margin.left=T.inline?C.is.rtl()?parseInt(t.getComputedStyle(o).getPropertyValue("margin-right"),10):parseInt(t.getComputedStyle(o).getPropertyValue("margin-left"),10):0,e=s.screen,s.boundary={top:e.top+e.scroll.top,bottom:e.top+e.scroll.top+e.height,left:e.left+e.scroll.left,right:e.left+e.scroll.left+e.width},s},id:function(){return y},startEvent:function(){return"hover"==T.on?"mouseenter":"focus"==T.on?"focus":!1},scrollEvent:function(){return"scroll"},endEvent:function(){return"hover"==T.on?"mouseleave":"focus"==T.on?"blur":!1},distanceFromBoundary:function(e,t){var o,n,i={};return t=t||C.get.calculations(),o=t.popup,n=t.boundary,e&&(i={top:e.top-n.top,left:e.left-n.left,right:n.right-(e.left+o.width),bottom:n.bottom-(e.top+o.height)},C.verbose("Distance from boundaries determined",e,i)),i},offsetParent:function(t){var o=t!==n?t[0]:D[0],i=o.parentNode,r=e(i);if(i)for(var a="none"===r.css("transform"),s="static"===r.css("position"),p=r.is("html");i&&!p&&s&&a;)i=i.parentNode,r=e(i),a="none"===r.css("transform"),s="static"===r.css("position"),p=r.is("html");return r&&r.length>0?r:e()},positions:function(){return{"top left":!1,"top center":!1,"top right":!1,"bottom left":!1,"bottom center":!1,"bottom right":!1,"left center":!1,"right center":!1}},nextPosition:function(e){var t=e.split(" "),o=t[0],n=t[1],i={top:"bottom",bottom:"top",left:"right",right:"left"},r={left:"center",center:"right",right:"left"},a={"top left":"top center","top center":"top right","top right":"right center","right center":"bottom right","bottom right":"bottom center","bottom center":"bottom left","bottom left":"left center","left center":"top left"},s="top"==o||"bottom"==o,p=!1,l=!1,u=!1;return V||(C.verbose("All available positions available"),V=C.get.positions()),C.debug("Recording last position tried",e),V[e]=!0,"opposite"===T.prefer&&(u=[i[o],n],u=u.join(" "),p=V[u]===!0,C.debug("Trying opposite strategy",u)),"adjacent"===T.prefer&&s&&(u=[o,r[n]],u=u.join(" "),l=V[u]===!0,C.debug("Trying adjacent strategy",u)),(l||p)&&(C.debug("Using backup position",u),u=a[e]),u}},set:{position:function(e,t){if(0===H.length||0===a.length)return void C.error(k.notFound);var o,i,r,s,p,l,u,c;if(t=t||C.get.calculations(),e=e||D.data(S.position)||T.position,o=D.data(S.offset)||T.offset,i=T.distanceAway,r=t.target,s=t.popup,p=t.parent,0===r.width&&0===r.height&&!C.is.svg(r.element))return C.debug("Popup target is hidden, no action taken"),!1;switch(T.inline&&(C.debug("Adding margin to calculation",r.margin),"left center"==e||"right center"==e?(o+=r.margin.top,i+=-r.margin.left):"top left"==e||"top center"==e||"top right"==e?(o+=r.margin.left,i-=r.margin.top):(o+=r.margin.left,i+=r.margin.top)),C.debug("Determining popup position from calculations",e,t),C.is.rtl()&&(e=e.replace(/left|right/g,function(e){return"left"==e?"right":"left"}),C.debug("RTL: Popup position updated",e)),N==T.maxSearchDepth&&"string"==typeof T.lastResort&&(e=T.lastResort),e){case"top left":l={top:"auto",bottom:p.height-r.top+i,left:r.left+o,right:"auto"};break;case"top center":l={bottom:p.height-r.top+i,left:r.left+r.width/2-s.width/2+o,top:"auto",right:"auto"};break;case"top right":l={bottom:p.height-r.top+i,right:p.width-r.left-r.width-o,top:"auto",left:"auto"};break;case"left center":l={top:r.top+r.height/2-s.height/2+o,right:p.width-r.left+i,left:"auto",bottom:"auto"};break;case"right center":l={top:r.top+r.height/2-s.height/2+o,left:r.left+r.width+i,bottom:"auto",right:"auto"};break;case"bottom left":l={top:r.top+r.height+i,left:r.left+o,bottom:"auto",right:"auto"};break;case"bottom center":l={top:r.top+r.height+i,left:r.left+r.width/2-s.width/2+o,bottom:"auto",right:"auto"};break;case"bottom right":l={top:r.top+r.height+i,right:p.width-r.left-r.width-o,left:"auto",bottom:"auto"}}if(l===n&&C.error(k.invalidPosition,e),C.debug("Calculated popup positioning values",l),a.css(l).removeClass(x.position).addClass(e).addClass(x.loading),u=C.get.popupOffset(),c=C.get.distanceFromBoundary(u,t),C.is.offstage(c,e)){if(C.debug("Position is outside viewport",e),N<T.maxSearchDepth)return N++,e=C.get.nextPosition(e),C.debug("Trying new position",e),a?C.set.position(e,t):!1;if(!T.lastResort)return C.debug("Popup could not find a position to display",a),C.error(k.cannotPlace,W),C.remove.attempts(),C.remove.loading(),C.reset(),T.onUnplaceable.call(a,W),!1;C.debug("No position found, showing with last position")}return C.debug("Position is on stage",e),C.remove.attempts(),C.remove.loading(),T.setFluidWidth&&C.is.fluid()&&C.set.fluidWidth(t),!0},fluidWidth:function(e){e=e||C.get.calculations(),C.debug("Automatically setting element width to parent width",e.parent.width),a.css("width",e.container.width)},variation:function(e){e=e||C.get.variation(),e&&C.has.popup()&&(C.verbose("Adding variation to popup",e),a.addClass(e))},visible:function(){D.addClass(x.visible)}},remove:{loading:function(){a.removeClass(x.loading)},variation:function(e){e=e||C.get.variation(),e&&(C.verbose("Removing variation",e),a.removeClass(e))},visible:function(){D.removeClass(x.visible)},attempts:function(){C.verbose("Resetting all searched positions"),N=0,V=!1}},bind:{events:function(){C.debug("Binding popup events to module"),"click"==T.on&&D.on("click"+O,C.toggle),"hover"==T.on&&c&&D.on("touchstart"+O,C.event.touchstart),C.get.startEvent()&&D.on(C.get.startEvent()+O,C.event.start).on(C.get.endEvent()+O,C.event.end),T.target&&C.debug("Target set to element",H),p.on("resize"+w,C.event.resize)},popup:function(){C.verbose("Allowing hover events on popup to prevent closing"),a&&C.has.popup()&&a.on("mouseenter"+O,C.event.start).on("mouseleave"+O,C.event.end)},close:function(){(T.hideOnScroll===!0||"auto"==T.hideOnScroll&&"click"!=T.on)&&C.bind.closeOnScroll(),"hover"==T.on&&M&&C.bind.touchClose(),"click"==T.on&&T.closable&&C.bind.clickaway()},closeOnScroll:function(){C.verbose("Binding scroll close event to document"),F.one(C.get.scrollEvent()+w,C.event.hideGracefully)},touchClose:function(){C.verbose("Binding popup touchclose event to document"),s.on("touchstart"+w,function(e){C.verbose("Touched away from popup"),C.event.hideGracefully.call(W,e)})},clickaway:function(){C.verbose("Binding popup close event to document"),s.on("click"+w,function(e){C.verbose("Clicked away from popup"),C.event.hideGracefully.call(W,e)})}},unbind:{events:function(){p.off(w),D.off(O)},close:function(){s.off(w),F.off(w)}},has:{popup:function(){return a&&a.length>0}},is:{offstage:function(t,o){var n=[];return e.each(t,function(e,t){t<-T.jitter&&(C.debug("Position exceeds allowable distance from edge",e,t,o),n.push(e))}),n.length>0?!0:!1},svg:function(e){return C.supports.svg()&&e instanceof SVGGraphicsElement},active:function(){return D.hasClass(x.active)},animating:function(){return a!==n&&a.hasClass(x.animating)},fluid:function(){return a!==n&&a.hasClass(x.fluid)},visible:function(){return a!==n&&a.hasClass(x.popupVisible)},dropdown:function(){return D.hasClass(x.dropdown)},hidden:function(){return!C.is.visible()},rtl:function(){return"rtl"==D.css("direction")}},reset:function(){C.remove.visible(),T.preserve?e.fn.transition!==n&&a.transition("remove transition"):C.removePopup()},setting:function(t,o){if(e.isPlainObject(t))e.extend(!0,T,t);else{if(o===n)return T[t];T[t]=o}},internal:function(t,o){if(e.isPlainObject(t))e.extend(!0,C,t);else{if(o===n)return C[t];C[t]=o}},debug:function(){!T.silent&&T.debug&&(T.performance?C.performance.log(arguments):(C.debug=Function.prototype.bind.call(console.info,console,T.name+":"),C.debug.apply(console,arguments)))},verbose:function(){!T.silent&&T.verbose&&T.debug&&(T.performance?C.performance.log(arguments):(C.verbose=Function.prototype.bind.call(console.info,console,T.name+":"),C.verbose.apply(console,arguments)))},error:function(){T.silent||(C.error=Function.prototype.bind.call(console.error,console,T.name+":"),C.error.apply(console,arguments))},performance:{log:function(e){var t,o,n;T.performance&&(t=(new Date).getTime(),n=d||t,o=t-n,d=t,f.push({Name:e[0],Arguments:[].slice.call(e,1)||"",Element:W,"Execution Time":o})),clearTimeout(C.performance.timer),C.performance.timer=setTimeout(C.performance.display,500)},display:function(){var t=T.name+":",o=0;d=!1,clearTimeout(C.performance.timer),e.each(f,function(e,t){o+=t["Execution Time"]}),t+=" "+o+"ms",u&&(t+=" '"+u+"'"),(console.group!==n||console.table!==n)&&f.length>0&&(console.groupCollapsed(t),console.table?console.table(f):e.each(f,function(e,t){console.log(t.Name+": "+t["Execution Time"]+"ms")}),console.groupEnd()),f=[]}},invoke:function(t,o,i){var a,s,p,l=G;return o=o||m,i=W||i,"string"==typeof t&&l!==n&&(t=t.split(/[\. ]/),a=t.length-1,e.each(t,function(o,i){var r=o!=a?i+t[o+1].charAt(0).toUpperCase()+t[o+1].slice(1):t;if(e.isPlainObject(l[r])&&o!=a)l=l[r];else{if(l[r]!==n)return s=l[r],!1;if(!e.isPlainObject(l[i])||o==a)return l[i]!==n?(s=l[i],!1):!1;l=l[i]}})),e.isFunction(s)?p=s.apply(i,o):s!==n&&(p=s),e.isArray(r)?r.push(p):r!==n?r=[r,p]:p!==n&&(r=p),s}},h?(G===n&&C.initialize(),C.invoke(g)):(G!==n&&G.invoke("destroy"),C.initialize())}),r!==n?r:this},e.fn.popup.settings={name:"Popup",silent:!1,debug:!1,verbose:!1,performance:!0,namespace:"popup",observeChanges:!0,onCreate:function(){},onRemove:function(){},onShow:function(){},onVisible:function(){},onHide:function(){},onUnplaceable:function(){},onHidden:function(){},on:"hover",boundary:t,addTouchEvents:!0,position:"top left",variation:"",movePopup:!0,target:!1,popup:!1,inline:!1,preserve:!1,hoverable:!1,content:!1,html:!1,title:!1,closable:!0,hideOnScroll:"auto",exclusive:!1,context:"body",scrollContext:t,prefer:"opposite",lastResort:!1,delay:{show:50,hide:70},setFluidWidth:!0,duration:200,transition:"scale",distanceAway:0,jitter:2,offset:0,maxSearchDepth:15,error:{invalidPosition:"The position you specified is not a valid position",cannotPlace:"Popup does not fit within the boundaries of the viewport",method:"The method you called is not defined.",noTransition:"This module requires ui transitions <https://github.com/Semantic-Org/UI-Transition>",notFound:"The target or popup you specified does not exist on the page"},metadata:{activator:"activator",content:"content",html:"html",offset:"offset",position:"position",title:"title",variation:"variation"},className:{active:"active",animating:"animating",dropdown:"dropdown",fluid:"fluid",loading:"loading",popup:"ui popup",position:"top left center bottom right",visible:"visible",popupVisible:"visible"},selector:{popup:".ui.popup"},templates:{escape:function(e){var t=/[&<>"'`]/g,o=/[&<>"'`]/,n={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},i=function(e){return n[e]};return o.test(e)?e.replace(t,i):e},popup:function(t){var o="",i=e.fn.popup.settings.templates.escape;return typeof t!==n&&(typeof t.title!==n&&t.title&&(t.title=i(t.title),o+='<div class="header">'+t.title+"</div>"),typeof t.content!==n&&t.content&&(t.content=i(t.content),o+='<div class="content">'+t.content+"</div>")),o}}}}(jQuery,window,document);